package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.devices.DeviceBindModel;
import com.zhongshu.card.client.model.devices.DeviceBindParam;
import com.zhongshu.card.client.model.devices.DeviceBindSearch;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface DeviceBindService {

    ResultContent addDeviceBind(DeviceBindParam param);

    ResultContent deleteById(String id);

    ResultContent<DeviceBindModel> getDetailById(String id);

    ResultContent<Page<DeviceBindModel>> page(DeviceBindSearch param, Pageable pageable);

    /**
     * 管理关联的商户设备列表
     *
     * @param param
     * @param pageable
     * @return
     */
    ResultContent<Page<DeviceBindModel>> busDevicePage(DeviceBindSearch param, Pageable pageable);

}
